# Generated from noa-core-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name noa-core

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Core functionality for Noa
License: MIT
URL: https://github.com/jarijokinen/noa-core
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(database_cleaner) >= 1.0.1
# BuildRequires: rubygem(database_cleaner) < 1.1
# BuildRequires: rubygem(guard-rspec) >= 3.0.2
# BuildRequires: rubygem(guard-rspec) < 3.1
# BuildRequires: rubygem(guard-spork) >= 1.5.1
# BuildRequires: rubygem(guard-spork) < 1.6
# BuildRequires: rubygem(rails) = 4.0.0
# BuildRequires: rubygem(rspec-rails) >= 2.13.2
# BuildRequires: rubygem(rspec-rails) < 2.14
# BuildRequires: rubygem(spork-rails)
# BuildRequires: rubygem(sqlite3) >= 1.3.7
# BuildRequires: rubygem(sqlite3) < 1.4
BuildArch: noarch

%description
Core functionality for Noa.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/noa-core.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.2-1
- Initial package
